List connectors
curl --request GET \
--url https://cloud.memsource.com/web/api2/v1/connectors \
--header 'Authorization: <api-key>'import requests
url = "https://cloud.memsource.com/web/api2/v1/connectors"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://cloud.memsource.com/web/api2/v1/connectors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"connectors": [
{
"automatedProjectSettings": [
{
"active": true,
"connector": {
"id": "<string>",
"name": "<string>"
},
"id": "<string>",
"name": "<string>",
"organization": {
"id": "<string>",
"name": "<string>"
},
"remoteFolder": "<string>",
"sourceLang": "<string>",
"targetLangs": [
"<string>"
]
}
],
"createdAt": "2023-11-07T05:31:56Z",
"createdBy": {
"id": "<string>",
"name": "<string>"
},
"id": "<string>",
"localToken": "<string>",
"name": "<string>",
"organization": {
"id": "<string>",
"name": "<string>"
}
}
],
"totalCount": 123
}{
"message": "<string>",
"status": "<string>"
}Connector
List connectors
GET
/
api2
/
v1
/
connectors
List connectors
Authorizations
ApiTokenOAuth2
Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.
Query Parameters
Filter by connector type
Was this page helpful?
⌘I